Partially update a widget annotation
PATCH
/v1/widgetannotation/{id}/
const url = 'https://example.com/v1/widgetannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","end_time":"2026-04-15T12:00:00Z","outage":true,"start_time":"2026-04-15T12:00:00Z","title":"example","widget":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/widgetannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "end_time": "2026-04-15T12:00:00Z", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "widget": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Update one or more fields of an existing widget annotation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this widget annotation.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
agent
string format: uuid
description
string
end_time
string format: date-time
id
string format: uuid
outage
boolean
start_time
string format: date-time
title
string
widget
string format: uuid
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "end_time": "2026-04-15T12:00:00Z", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "widget": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
agent
string format: uuid
description
string
end_time
string format: date-time
id
string format: uuid
outage
boolean
start_time
string format: date-time
title
string
widget
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
string format: uuid
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
widget
required
string format: uuid
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "end_time": "2026-04-15T12:00:00Z", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "widget": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}